Subject: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Uwe Siart <[email-masked]>
Date: Tue, 19 Mar 2013 09:39:40 +0100

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 01 Feb 2013 14:22:00 -0800
>> From: Paul Eggert <[email-masked]>
>> CC: Eli Zaretskii <[email-masked]>, [email-masked]
>> 
>> On 02/01/13 14:14, Drew Adams wrote:
>> 
>> > No, sorry.  I don't build Emacs.  If there is a Lisp change I can test that, but
>> > not a C change.
>> 
>> I suppose I could install this patch into the trunk instead,
>> temporarily.  Eli, do you think it'd be a good idea?
>
> Yes, definitely.
>
> I would also install something similar in verify-visited-file-modtime,
> so that next time it happens we could see how different are the time
> stamps.

Now that 24.3 windows binaries have been released I observe exactly the
same problem on my XP box. I don't know how to reproduce it 100%. It
happens sporadically, but it happens. And yes, my user files are on a
FAT32 partition.

Is there a fix for it, e.g. some customization? Should I avoid FAT32? Or
do we have to live with it?

-- 
Uwe